---
title: "Query specify all state province information under the country"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/tax/query-specify-all-state-province-information-under-the-country'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/tax/query-specify-all-state-province-information-under-the-country.md'
---
# Query specify all state province information under the country

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /provinces/:id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_shipping`

## Request

### Path Parameters

* `id`

  string (required)

  International code id for the store dimension

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Return body

  * `provinces`

    array<object>

    State province tax information

    * `name`

      string

      English name in sub-area

    * `tax`

      string

      Decimal format tax value like 0.3

    * `tax_name`

      string

      Tax name

    * `tax_percentage`

      string

      Percentage format tax value , like 30.0

    * `code`

      string

      Province or state code for two letters


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "PWzGjkgZ",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "International code id for the store dimension",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "International code id for the store dimension",
        "type": "string",
        "example": "33"
      },
      "example": "33"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Return body",
                "type": "object",
                "properties": {
                  "provinces": {
                    "name": "provinces",
                    "description": "State province tax information",
                    "type": "array",
                    "items": {
                      "name": "provinces",
                      "description": "State province tax information",
                      "type": "object",
                      "properties": {
                        "name": {
                          "name": "name",
                          "description": "English name in sub-area",
                          "type": "string",
                          "example": ""
                        },
                        "tax": {
                          "name": "tax",
                          "description": "Decimal format tax value like 0.3",
                          "type": "string",
                          "example": ""
                        },
                        "tax_name": {
                          "name": "tax_name",
                          "description": "Tax name",
                          "type": "string",
                          "example": ""
                        },
                        "tax_percentage": {
                          "name": "tax_percentage",
                          "description": "Percentage format tax value , like 30.0",
                          "type": "string",
                          "example": ""
                        },
                        "code": {
                          "name": "code",
                          "description": "Province or state code for two letters",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "code": "",
                        "name": "",
                        "tax": "",
                        "tax_name": "",
                        "tax_percentage": ""
                      }
                    },
                    "example": [
                      {
                        "code": "",
                        "name": "",
                        "tax": "",
                        "tax_name": "",
                        "tax_percentage": ""
                      }
                    ]
                  }
                },
                "example": {
                  "provinces": [
                    {
                      "tax_name": "",
                      "tax_percentage": "",
                      "code": "",
                      "name": "",
                      "tax": ""
                    }
                  ]
                }
              }
            },
            "example": {
              "data": {
                "provinces": [
                  {
                    "tax_name": "",
                    "tax_percentage": "",
                    "code": "",
                    "name": "",
                    "tax": ""
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/provinces/:id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query specify all state province information under the country",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```